Subject: bug#1741: 23.0.60; vc fail to register file while logged as /su:: with tramp

From: Michael Albinus <[email-masked]>
Date: Mon, 13 Apr 2009 11:30:14 +0200

Stefan Monnier <[email-masked]> writes:

> AFAIK the main benefit of the cache is to bundle up all the redundant
> `file-attibutes' calls that take place during something like
> `find-file-noselect'.  Such optimizations won't be affected by the
> cache-flush.  So I expect that the cache-flush I suggest won't cause
> a performance problem.

Not only `file-attributes'; it is useful for other often-called
primitives like `file-exists-p' as well.

I'm not against regular cache flushing. But I would like to have a
custom option for this, because people like me have not such a need for
this. The default value could be "do flushing", though.

Do you agree? And if yes, what shall be the values of such an option?
Simple "yes/no", or more granular, like the ttl proposal I have done?

>         Stefan

Best regards, Michael.